;~  #AutoIt3Wrapper_UseX64=y
;~ #include <WinAPI.au3>
#include ".\includes\CLR.Au3"


Global Const $sIID_IMemberInfo = '{F7102FA9-CABB-3A74-A6DA-B4567EF1B079}'
Global Const $sTag_IMemberInfo = "GetTypeInfoCount hresult();" & _
        "GetTypeInfo hresult();" & _
        "GetIDsOfNames hresult();" & _
        "Invoke hresult();" & _
        "get_ToString hresult(bstr*);" & _
        "Equals hresult();" & _
        "GetHashCode hresult();" & _
        "GetType hresult();" & _
        "MemberType hresult();" & _
        "get_FullName hresult(bstr*);" & _
        "DeclaringType hresult();" & _
        "ReflectedType hresult();" & _
        "GetCustomAttributes hresult();" & _
        "GetCustomAttributes_2 hresult();" & _
        "IsDefined hresult();"

Example1()


Func Example1()
    Local $oType = _CLR_LoadLibrary("mscorlib")
    ConsoleWrite("$oType: " & IsObj($oType) & @CRLF)

    Local $pTypes
    $oType.GetTypes($pTypes)

    Local $iDim = SafeArrayGetDim($pTypes)
    ConsoleWrite("$iDim = " & $iDim & @CRLF)

    Local $iLBound, $iUBound
    SafeArrayGetLBound($pTypes, 1, $iLBound)
    SafeArrayGetUBound($pTypes, 1, $iUBound)
    ConsoleWrite("$iLBound = " & $iLBound & @CRLF)
    ConsoleWrite("$iUBound = " & $iUBound & @CRLF)
    Local $tTypeArray = DllStructCreate($tagSAFEARRAY, $pTypes)
    Local $iPtrSize = (DllStructGetData($tTypeArray, "cbElements"))
    ConsoleWrite(".cDims = " & (DllStructGetData($tTypeArray, "cDims")) & @CRLF)
    ConsoleWrite(".fFeatures = 0x" & Hex(DllStructGetData($tTypeArray, "fFeatures")) & @CRLF)
    ConsoleWrite(".cbElements = " & $iPtrSize & @CRLF)

    Local $vt = 0
    SafeArrayGetVartype($pTypes, $vt)
    ConsoleWrite("$vt = " & $vt & @CRLF)

    ;   Add #include <WinAPI.au3>
;~  Local $tGUID = $tagGUID
;~  Local $tGUID = DllStructCreate($tagGUID, $pTypes - 16)
;~  Local $sGUID = _WinAPI_StringFromGUID($tGUID)
;~  ConsoleWrite("$sGUID = " & $sGUID & @CRLF)

    ;Type
    Local $pTypeArrayData = 0
    Local $tType = 0
    Local $pType = 0
    Local $oType = Null
    Local $sFullName = ""
    Local $pSafeArrayMembers = 0

    ;memberInfo
    Local $pTypeArrayDataMembers = 0
    Local $tMemberInfo = 0
    Local $pMemberInfo = 0
    Local $oMemberInfo = Null
    Local $sFullNameMemberInfo = ""

    ConsoleWrite(@CRLF & @CRLF)

SafeArrayAccessData($pTypes, $pTypeArrayData)
	For $i = 0 To $iUBound
;~         SafeArrayAccessData($pTypes, $pTypeArrayData)
        $tType = DllStructCreate("ptr", $pTypeArrayData + ($i * $iPtrSize))
        $pType = DllStructGetData($tType, 1)
;~      ConsoleWrite("$pType = " & $pType & @CRLF)
;~         SafeArrayUnaccessData($pTypes)

        $oType = ObjCreateInterface($pType, $sIID_IType, $sTag_IType)
;~      ConsoleWrite("IsObj( $oType ) = " & IsObj($oType) & @CRLF)

        $oType.get_FullName($sFullName)
        ConsoleWrite("+TypeName = " & $sFullName & @CRLF)

        $oType.GetMembers(4 + 8 + 16, $pSafeArrayMembers)
;~      ConsoleWrite("$pSafeArrayMember = " & $pSafeArrayMembers & @CRLF & @CRLF)

        Local $iDimSafeArrayMembers = SafeArrayGetDim($pSafeArrayMembers)
;~      ConsoleWrite("$iDimSafeArrayMembers = " & $iDimSafeArrayMembers & @CRLF)

        Local $iLBoundMembers, $iUBoundMembers

		SafeArrayGetLBound($pSafeArrayMembers, 1, $iLBoundMembers)
        SafeArrayGetUBound($pSafeArrayMembers, 1, $iUBoundMembers)
;~      ConsoleWrite("$iLBoundMembers = " & $iLBoundMembers & @CRLF)
;~      ConsoleWrite("$iUBoundMembers = " & $iUBoundMembers & @CRLF)

		Local $tMembersArray = DllStructCreate($tagSAFEARRAY, $pSafeArrayMembers)
        Local $iPtrMembersSize = (DllStructGetData($tMembersArray, "cbElements"))

;~      ConsoleWrite(".cDims = " & (DllStructGetData($tMembersArray, "cDims")) & @CRLF)
;~      ConsoleWrite(".fFeatures = 0x" & Hex(DllStructGetData($tMembersArray, "fFeatures")) & @CRLF)
;~      ConsoleWrite(".cbElements = " & $iPtrMembersSize  & @CRLF)

;~      SafeArrayGetVartype($pSafeArrayMembers, $vt)
;~      ConsoleWrite("$vt2 = " & $vt & @CRLF)

;~      Local $tGUID2 = $tagGUID
;~      Local $tGUID2 = DllStructCreate($tagGUID, $pSafeArrayMembers - 16)
;~      Local $sGUID2 = _WinAPI_StringFromGUID($tGUID2)
;~      ConsoleWrite("$sGUID2 = " & $sGUID2 & @CRLF)

        ConsoleWrite("> (" & $sFullName & ") Number of Members: " & $iUBoundMembers & @CRLF)

		SafeArrayAccessData($pSafeArrayMembers, $pTypeArrayDataMembers)
        For $x = 0 To $iUBoundMembers
;~          SafeArrayAccessData($pSafeArrayMembers, $pTypeArrayDataMembers)
            $tMemberInfo = DllStructCreate("ptr", $pTypeArrayDataMembers + ($x * $iPtrMembersSize))
            $pMemberInfo = DllStructGetData($tMemberInfo, 1)
;~          ConsoleWrite("$pMemberinfo = " & $pMemberinfo & @CRLF)
;~             SafeArrayUnaccessData($pSafeArrayMembers)

            $oMemberInfo = ObjCreateInterface($pMemberInfo, $sIID_IMemberInfo, $sTag_IMemberInfo) ;
;~          ConsoleWrite("IsObj( $oType ) = " & IsObj($oMemberinfo) & @CRLF)

            $oMemberInfo.get_FullName($sFullNameMemberInfo)
            ConsoleWrite($sFullNameMemberInfo & @CRLF)


            $sFullNameMemberInfo = ""
            $pMemberInfo = 0
            $tMemberInfo = 0
            $oMemberInfo = Null

        Next
	SafeArrayUnaccessData($pSafeArrayMembers)

    ConsoleWrite(@CRLF & @CRLF)

        $sFullName = ""
        $pType = 0
        $tType = 0
        $oType = Null
        $pSafeArrayMembers = 0
;~      Exit
    Next
SafeArrayUnaccessData($pTypes)

EndFunc   ;==>Example1