#AutoIt3Wrapper_UseX64=n

#include ".\Includes\CLR.Au3"

Example()

Func Example()
    Local $oAssembly = _CLR_LoadLibrary("mscorlib")
    ConsoleWrite("$oAssembly: " & IsObj($oAssembly) & @CRLF)

    Local $pTypes
    $oAssembly.GetTypes($pTypes)

    Local $iDim = SafeArrayGetDim( $pTypes )
    ConsoleWrite( "$iDim = " & $iDim & @CRLF & @CRLF )

    Local $iLBound, $iUBound
    SafeArrayGetLBound( $pTypes, 1, $iLBound )
    SafeArrayGetUBound( $pTypes, 1, $iUBound )
    ConsoleWrite( "$iLBound = " & $iLBound & @CRLF )
    ConsoleWrite( "$iUBound = " & $iUBound & @CRLF )
    ConsoleWrite(@CRLF)

    ; Array Var.
    Local $tAssemblyArray = DllStructCreate( $tagSAFEARRAY, $pTypes )

    ; Get # Features
    Local $fFeatures = DllStructGetData( $tAssemblyArray, "fFeatures" )
    ConsoleWrite("fFeatures " & $fFeatures & @CRLF & @CRLF)

    ; Get Point to the Array Data
    Local $pvData = DllStructGetData( $tAssemblyArray, "pvData" )
    ConsoleWrite("pvData " & $pvData & @CRLF & @CRLF)

    Local $Ret,  $Index =1
    Local $vt=0

    SafeArrayGetVartype($pTypes, $vt)
    ConsoleWrite("$vt = " & $vt & @CRLF)
    $vt=0

    for $index=1 to $iUBound
;~  for $index=1 to 15

        local $rgIndices[1]
        $rgindices[0]=$Index

        Local $pType=0
        Local $sFullName=""

        $pType = SafeArrayGetElement($pTypes, $rgindices[0], ptr($pType))

        local $vt2=0
        SafeArrayGetVartype($pType, $vt2)

        ConsoleWrite("$vt2 = " & $vt2 & @CRLF)

        $oType = ObjCreateInterface($pType, $sIID_IType, $sTag_IType)
        $oType.get_FullName($sFullName)
        ConsoleWrite("IsObj( $oType ) = " & IsObj($oType) )
        ConsoleWrite(" $sFullName = " & $sFullName & @CRLF )

    Next
EndFunc

