#AutoIt3Wrapper_Version=beta
#AutoIt3Wrapper_UseX64=Y

Global $hActiveX

; Load the System modules
If @AutoItX64 Then
    $hActiveX  = DllOpen("C:\Windows\Microsoft.NET\Framework\v2.0.50727\mscorlib.tlb")
Else
    $hActiveX  = DllOpen("C:\Windows\Microsoft.NET\Framework64\v2.0.50727\mscorlib.tlb")
EndIf
;MsgBox(0,"x64",@AutoItX64)

; Object identifiers
Global Const $sCLSID = "{4E77EC8F-51D8-386C-85FE-7DC931B7A8E7}"
;Global Const $sIID = "{3D54C6B8-D283-40E0-8FAB-C97F05947EE8}"
Global Const $sIID = Default ; Or use keyword Default if you want to use the Default interface ID

; COM Error monitoring
Global $oError = ObjEvent("AutoIt.Error", "_ErrFunc")

Func _ErrFunc()
    ConsoleWrite("! COM Error ! Number: 0x" & Hex($oError.number, 8) & " ScriptLine: " & $oError.scriptline & " - " & $oError.windescription & @CRLF)
    Return
EndFunc    ;==>_ErrFunc

; Create  COM Object
Local $oDotNET = ObjCreate($sCLSID, $sIID, $hActiveX)

If $oDotNET = 0 Then MsgBox(16,"Error", "Could not create the object, Common problem ActiveX not registered.")

; This will create a System.Random Number
ConsoleWrite("System.Random # : " & $oDotNET.Next_2( 1, 100 ) & @CRLF)

$oDotNET = ""
DllClose($hActiveX)

