using System;
using System.Reflection;
using System.Reflection.Emit;
using System.Runtime.InteropServices;

public class EventHelper {
  // Delegate type for the AutoIt callback.
  public delegate void CallbackType([MarshalAs(UnmanagedType.LPArray)] object[] argv);

  public EventHandler MakeHandler([MarshalAs(UnmanagedType.FunctionPtr)] CallbackType cb) {
    return (sender, e) => cb( new[] {sender} );
  }
}