#include-once
#include "Variant.au3"
#include "SafeArray.au3"
#include "Utilities.au3"

Global $oAccVars_Object = AccVars_Init(), $hAccVars_MethodFunc


; --- The first part of the UDF creates $oAccVars_Object and implements method functions ---

Func AccVars_Init()
	; Three locals copied from "IUIAutomation MS framework automate chrome, FF, IE, ...." by junkew
	; https://www.autoitscript.com/forum/index.php?showtopic=153520
	Local $sCLSID_CUIAutomation = "{FF48DBA4-60EF-4201-AA87-54103EEF594E}"
	Local $sIID_IUIAutomation = "{30CBE57D-D9D0-452A-AB13-7AC5AC4825EE}"
	Local $stag_IUIAutomation = _
		"AccVars_VariableToVariant01 hresult(variant*);" & _
		"AccVars_VariableToVariant02 hresult(variant*;variant*);" & _
		"AccVars_VariableToVariant03 hresult(variant*;variant*;variant*);" & _
		"AccVars_VariableToVariant04 hresult(variant*;variant*;variant*;variant*);" & _
		"AccVars_VariableToVariant05 hresult(variant*;variant*;variant*;variant*;variant*);" & _
		"AccVars_VariableToVariant06 hresult(variant*;variant*;variant*;variant*;variant*;variant*);" & _
		"AccVars_VariableToVariant07 hresult(variant*;variant*;variant*;variant*;variant*;variant*;variant*);" & _
		"AccVars_VariableToVariant08 hresult(variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*);" & _
		"AccVars_VariableToVariant09 hresult(variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*);" & _
		"AccVars_VariableToVariant10 hresult(variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*);" & _
		"AccVars_VariableToVariant11 hresult(variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*);" & _
		"AccVars_VariableToVariant12 hresult(variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*);" & _
		"AccVars_VariableToVariant13 hresult(variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*);" & _
		"AccVars_VariableToVariant14 hresult(variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*);" & _
		"AccVars_VariableToVariant15 hresult(variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*);" & _
		"AccVars_VariableToVariant16 hresult(variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*);" & _
		"AccVars_VariableToVariant17 hresult(variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*);" & _
		"AccVars_VariableToVariant18 hresult(variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*);" & _
		"AccVars_VariableToVariant19 hresult(variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*);" & _
		"AccVars_VariableToVariant20 hresult(variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*);" & _
		"AccVars_VariableToVariant21 hresult(variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*);" & _
		"AccVars_VariableToVariant22 hresult(variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*);" & _
		"AccVars_VariableToVariant23 hresult(variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*);" & _
		"AccVars_VariableToVariant24 hresult(variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*);" & _
		"AccVars_VariableToVariant25 hresult(variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*);" & _
		"AccVars_VariableToVariant26 hresult(variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*);" & _
		"AccVars_VariableToVariant27 hresult(variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*);" & _
		"AccVars_VariableToVariant28 hresult(variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*);" & _
		"AccVars_VariableToVariant29 hresult(variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*);" & _
		"AccVars_VariableToVariant30 hresult(variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*;variant*);"

	; Create AccVars object (Automation object)
  Local $oAccVars_Object = ObjCreateInterface( $sCLSID_CUIAutomation, $sIID_IUIAutomation, $stag_IUIAutomation )
  If Not IsObj( $oAccVars_Object ) Then Return SetError(1,0,1)

	; Replace original methods with AccVars_VariableToVariantXY methods
	Local $pVariableToVariant, $pAccessVariable = Ptr( $oAccVars_Object() ), $sFuncName, $sFuncParams = "ptr", $iOffset, $iPtrSize = @AutoItX64 ? 8 : 4
	For $i = 1 To 30
		$sFuncName = "AccVars_VariableToVariant" & StringFormat( "%02i", $i )
		$sFuncParams &= ";ptr*"
		$iOffset = ( 3 + $i - 1 ) * $iPtrSize
		$pVariableToVariant = DllCallbackGetPtr( DllCallbackRegister( $sFuncName, "long", $sFuncParams ) )
		ReplaceVTableFuncPtr( $pAccessVariable, $iOffset, $pVariableToVariant )
	Next

	Return $oAccVars_Object
EndFunc

Func AccVars_VariableToVariant01( $pSelf, $pVariant01 )
	$hAccVars_MethodFunc( $pVariant01 )
	Return 0 ; $S_OK (COM constant)
	#forceref $pSelf
EndFunc

Func AccVars_VariableToVariant02( $pSelf, $pVariant01, $pVariant02 )
	$hAccVars_MethodFunc( $pVariant01, $pVariant02 )
	Return 0 ; $S_OK (COM constant)
	#forceref $pSelf
EndFunc

Func AccVars_VariableToVariant03( $pSelf, $pVariant01, $pVariant02, $pVariant03 )
	$hAccVars_MethodFunc( $pVariant01, $pVariant02, $pVariant03 )
	Return 0 ; $S_OK (COM constant)
	#forceref $pSelf
EndFunc

Func AccVars_VariableToVariant04( $pSelf, $pVariant01, $pVariant02, $pVariant03, $pVariant04 )
	$hAccVars_MethodFunc( $pVariant01, $pVariant02, $pVariant03, $pVariant04 )
	Return 0 ; $S_OK (COM constant)
	#forceref $pSelf
EndFunc

Func AccVars_VariableToVariant05( $pSelf, $pVariant01, $pVariant02, $pVariant03, $pVariant04, $pVariant05 )
	$hAccVars_MethodFunc( $pVariant01, $pVariant02, $pVariant03, $pVariant04, $pVariant05 )
	Return 0 ; $S_OK (COM constant)
	#forceref $pSelf
EndFunc

Func AccVars_VariableToVariant06( $pSelf, $pVariant01, $pVariant02, $pVariant03, $pVariant04, $pVariant05, $pVariant06 )
	$hAccVars_MethodFunc( $pVariant01, $pVariant02, $pVariant03, $pVariant04, $pVariant05, $pVariant06 )
	Return 0 ; $S_OK (COM constant)
	#forceref $pSelf
EndFunc

Func AccVars_VariableToVariant07( $pSelf, $pVariant01, $pVariant02, $pVariant03, $pVariant04, $pVariant05, $pVariant06, $pVariant07 )
	$hAccVars_MethodFunc( $pVariant01, $pVariant02, $pVariant03, $pVariant04, $pVariant05, $pVariant06, $pVariant07 )
	Return 0 ; $S_OK (COM constant)
	#forceref $pSelf
EndFunc

Func AccVars_VariableToVariant08( $pSelf, $pVariant01, $pVariant02, $pVariant03, $pVariant04, $pVariant05, $pVariant06, $pVariant07, $pVariant08 )
	$hAccVars_MethodFunc( $pVariant01, $pVariant02, $pVariant03, $pVariant04, $pVariant05, $pVariant06, $pVariant07, $pVariant08 )
	Return 0 ; $S_OK (COM constant)
	#forceref $pSelf
EndFunc

Func AccVars_VariableToVariant09( $pSelf, $pVariant01, $pVariant02, $pVariant03, $pVariant04, $pVariant05, $pVariant06, $pVariant07, $pVariant08, $pVariant09 )
	$hAccVars_MethodFunc( $pVariant01, $pVariant02, $pVariant03, $pVariant04, $pVariant05, $pVariant06, $pVariant07, $pVariant08, $pVariant09 )
	Return 0 ; $S_OK (COM constant)
	#forceref $pSelf
EndFunc

Func AccVars_VariableToVariant10( $pSelf, $pVariant01, $pVariant02, $pVariant03, $pVariant04, $pVariant05, $pVariant06, $pVariant07, $pVariant08, $pVariant09, $pVariant10 )
	$hAccVars_MethodFunc( $pVariant01, $pVariant02, $pVariant03, $pVariant04, $pVariant05, $pVariant06, $pVariant07, $pVariant08, $pVariant09, $pVariant10 )
	Return 0 ; $S_OK (COM constant)
	#forceref $pSelf
EndFunc

Func AccVars_VariableToVariant11( $pSelf, $pVariant01, $pVariant02, $pVariant03, $pVariant04, $pVariant05, $pVariant06, $pVariant07, $pVariant08, $pVariant09, $pVariant10, $pVariant11 )
	$hAccVars_MethodFunc( $pVariant01, $pVariant02, $pVariant03, $pVariant04, $pVariant05, $pVariant06, $pVariant07, $pVariant08, $pVariant09, $pVariant10, $pVariant11 )
	Return 0 ; $S_OK (COM constant)
	#forceref $pSelf
EndFunc

Func AccVars_VariableToVariant12( $pSelf, $pVariant01, $pVariant02, $pVariant03, $pVariant04, $pVariant05, $pVariant06, $pVariant07, $pVariant08, $pVariant09, $pVariant10, $pVariant11, $pVariant12 )
	$hAccVars_MethodFunc( $pVariant01, $pVariant02, $pVariant03, $pVariant04, $pVariant05, $pVariant06, $pVariant07, $pVariant08, $pVariant09, $pVariant10, $pVariant11, $pVariant12 )
	Return 0 ; $S_OK (COM constant)
	#forceref $pSelf
EndFunc

Func AccVars_VariableToVariant13( $pSelf, $pVariant01, $pVariant02, $pVariant03, $pVariant04, $pVariant05, $pVariant06, $pVariant07, $pVariant08, $pVariant09, $pVariant10, $pVariant11, $pVariant12, $pVariant13 )
	$hAccVars_MethodFunc( $pVariant01, $pVariant02, $pVariant03, $pVariant04, $pVariant05, $pVariant06, $pVariant07, $pVariant08, $pVariant09, $pVariant10, $pVariant11, $pVariant12, $pVariant13 )
	Return 0 ; $S_OK (COM constant)
	#forceref $pSelf
EndFunc

Func AccVars_VariableToVariant14( $pSelf, $pVariant01, $pVariant02, $pVariant03, $pVariant04, $pVariant05, $pVariant06, $pVariant07, $pVariant08, $pVariant09, $pVariant10, $pVariant11, $pVariant12, $pVariant13, $pVariant14 )
	$hAccVars_MethodFunc( $pVariant01, $pVariant02, $pVariant03, $pVariant04, $pVariant05, $pVariant06, $pVariant07, $pVariant08, $pVariant09, $pVariant10, $pVariant11, $pVariant12, $pVariant13, $pVariant14 )
	Return 0 ; $S_OK (COM constant)
	#forceref $pSelf
EndFunc

Func AccVars_VariableToVariant15( $pSelf, $pVariant01, $pVariant02, $pVariant03, $pVariant04, $pVariant05, $pVariant06, $pVariant07, $pVariant08, $pVariant09, $pVariant10, $pVariant11, $pVariant12, $pVariant13, $pVariant14, $pVariant15 )
	$hAccVars_MethodFunc( $pVariant01, $pVariant02, $pVariant03, $pVariant04, $pVariant05, $pVariant06, $pVariant07, $pVariant08, $pVariant09, $pVariant10, $pVariant11, $pVariant12, $pVariant13, $pVariant14, $pVariant15 )
	Return 0 ; $S_OK (COM constant)
	#forceref $pSelf
EndFunc

Func AccVars_VariableToVariant16( $pSelf, $pVariant01, $pVariant02, $pVariant03, $pVariant04, $pVariant05, $pVariant06, $pVariant07, $pVariant08, $pVariant09, $pVariant10, $pVariant11, $pVariant12, $pVariant13, $pVariant14, $pVariant15, $pVariant16 )
	$hAccVars_MethodFunc( $pVariant01, $pVariant02, $pVariant03, $pVariant04, $pVariant05, $pVariant06, $pVariant07, $pVariant08, $pVariant09, $pVariant10, $pVariant11, $pVariant12, $pVariant13, $pVariant14, $pVariant15, $pVariant16 )
	Return 0 ; $S_OK (COM constant)
	#forceref $pSelf
EndFunc

Func AccVars_VariableToVariant17( $pSelf, $pVariant01, $pVariant02, $pVariant03, $pVariant04, $pVariant05, $pVariant06, $pVariant07, $pVariant08, $pVariant09, $pVariant10, $pVariant11, $pVariant12, $pVariant13, $pVariant14, $pVariant15, $pVariant16, $pVariant17 )
	$hAccVars_MethodFunc( $pVariant01, $pVariant02, $pVariant03, $pVariant04, $pVariant05, $pVariant06, $pVariant07, $pVariant08, $pVariant09, $pVariant10, $pVariant11, $pVariant12, $pVariant13, $pVariant14, $pVariant15, $pVariant16, $pVariant17 )
	Return 0 ; $S_OK (COM constant)
	#forceref $pSelf
EndFunc

Func AccVars_VariableToVariant18( $pSelf, $pVariant01, $pVariant02, $pVariant03, $pVariant04, $pVariant05, $pVariant06, $pVariant07, $pVariant08, $pVariant09, $pVariant10, $pVariant11, $pVariant12, $pVariant13, $pVariant14, $pVariant15, $pVariant16, $pVariant17, $pVariant18 )
	$hAccVars_MethodFunc( $pVariant01, $pVariant02, $pVariant03, $pVariant04, $pVariant05, $pVariant06, $pVariant07, $pVariant08, $pVariant09, $pVariant10, $pVariant11, $pVariant12, $pVariant13, $pVariant14, $pVariant15, $pVariant16, $pVariant17, $pVariant18 )
	Return 0 ; $S_OK (COM constant)
	#forceref $pSelf
EndFunc

Func AccVars_VariableToVariant19( $pSelf, $pVariant01, $pVariant02, $pVariant03, $pVariant04, $pVariant05, $pVariant06, $pVariant07, $pVariant08, $pVariant09, $pVariant10, $pVariant11, $pVariant12, $pVariant13, $pVariant14, $pVariant15, $pVariant16, $pVariant17, $pVariant18, $pVariant19 )
	$hAccVars_MethodFunc( $pVariant01, $pVariant02, $pVariant03, $pVariant04, $pVariant05, $pVariant06, $pVariant07, $pVariant08, $pVariant09, $pVariant10, $pVariant11, $pVariant12, $pVariant13, $pVariant14, $pVariant15, $pVariant16, $pVariant17, $pVariant18, $pVariant19 )
	Return 0 ; $S_OK (COM constant)
	#forceref $pSelf
EndFunc

Func AccVars_VariableToVariant20( $pSelf, $pVariant01, $pVariant02, $pVariant03, $pVariant04, $pVariant05, $pVariant06, $pVariant07, $pVariant08, $pVariant09, $pVariant10, $pVariant11, $pVariant12, $pVariant13, $pVariant14, $pVariant15, $pVariant16, $pVariant17, $pVariant18, $pVariant19, $pVariant20 )
	$hAccVars_MethodFunc( $pVariant01, $pVariant02, $pVariant03, $pVariant04, $pVariant05, $pVariant06, $pVariant07, $pVariant08, $pVariant09, $pVariant10, $pVariant11, $pVariant12, $pVariant13, $pVariant14, $pVariant15, $pVariant16, $pVariant17, $pVariant18, $pVariant19, $pVariant20 )
	Return 0 ; $S_OK (COM constant)
	#forceref $pSelf
EndFunc

Func AccVars_VariableToVariant21( $pSelf, $pVariant01, $pVariant02, $pVariant03, $pVariant04, $pVariant05, $pVariant06, $pVariant07, $pVariant08, $pVariant09, $pVariant10, $pVariant11, $pVariant12, $pVariant13, $pVariant14, $pVariant15, $pVariant16, $pVariant17, $pVariant18, $pVariant19, $pVariant20, $pVariant21 )
	$hAccVars_MethodFunc( $pVariant01, $pVariant02, $pVariant03, $pVariant04, $pVariant05, $pVariant06, $pVariant07, $pVariant08, $pVariant09, $pVariant10, $pVariant11, $pVariant12, $pVariant13, $pVariant14, $pVariant15, $pVariant16, $pVariant17, $pVariant18, $pVariant19, $pVariant20, $pVariant21 )
	Return 0 ; $S_OK (COM constant)
	#forceref $pSelf
EndFunc

Func AccVars_VariableToVariant22( $pSelf, $pVariant01, $pVariant02, $pVariant03, $pVariant04, $pVariant05, $pVariant06, $pVariant07, $pVariant08, $pVariant09, $pVariant10, $pVariant11, $pVariant12, $pVariant13, $pVariant14, $pVariant15, $pVariant16, $pVariant17, $pVariant18, $pVariant19, $pVariant20, $pVariant21, $pVariant22 )
	$hAccVars_MethodFunc( $pVariant01, $pVariant02, $pVariant03, $pVariant04, $pVariant05, $pVariant06, $pVariant07, $pVariant08, $pVariant09, $pVariant10, $pVariant11, $pVariant12, $pVariant13, $pVariant14, $pVariant15, $pVariant16, $pVariant17, $pVariant18, $pVariant19, $pVariant20, $pVariant21, $pVariant22 )
	Return 0 ; $S_OK (COM constant)
	#forceref $pSelf
EndFunc

Func AccVars_VariableToVariant23( $pSelf, $pVariant01, $pVariant02, $pVariant03, $pVariant04, $pVariant05, $pVariant06, $pVariant07, $pVariant08, $pVariant09, $pVariant10, $pVariant11, $pVariant12, $pVariant13, $pVariant14, $pVariant15, $pVariant16, $pVariant17, $pVariant18, $pVariant19, $pVariant20, $pVariant21, $pVariant22, $pVariant23 )
	$hAccVars_MethodFunc( $pVariant01, $pVariant02, $pVariant03, $pVariant04, $pVariant05, $pVariant06, $pVariant07, $pVariant08, $pVariant09, $pVariant10, $pVariant11, $pVariant12, $pVariant13, $pVariant14, $pVariant15, $pVariant16, $pVariant17, $pVariant18, $pVariant19, $pVariant20, $pVariant21, $pVariant22, $pVariant23 )
	Return 0 ; $S_OK (COM constant)
	#forceref $pSelf
EndFunc

Func AccVars_VariableToVariant24( $pSelf, $pVariant01, $pVariant02, $pVariant03, $pVariant04, $pVariant05, $pVariant06, $pVariant07, $pVariant08, $pVariant09, $pVariant10, $pVariant11, $pVariant12, $pVariant13, $pVariant14, $pVariant15, $pVariant16, $pVariant17, $pVariant18, $pVariant19, $pVariant20, $pVariant21, $pVariant22, $pVariant23, $pVariant24 )
	$hAccVars_MethodFunc( $pVariant01, $pVariant02, $pVariant03, $pVariant04, $pVariant05, $pVariant06, $pVariant07, $pVariant08, $pVariant09, $pVariant10, $pVariant11, $pVariant12, $pVariant13, $pVariant14, $pVariant15, $pVariant16, $pVariant17, $pVariant18, $pVariant19, $pVariant20, $pVariant21, $pVariant22, $pVariant23, $pVariant24 )
	Return 0 ; $S_OK (COM constant)
	#forceref $pSelf
EndFunc

Func AccVars_VariableToVariant25( $pSelf, $pVariant01, $pVariant02, $pVariant03, $pVariant04, $pVariant05, $pVariant06, $pVariant07, $pVariant08, $pVariant09, $pVariant10, $pVariant11, $pVariant12, $pVariant13, $pVariant14, $pVariant15, $pVariant16, $pVariant17, $pVariant18, $pVariant19, $pVariant20, $pVariant21, $pVariant22, $pVariant23, $pVariant24, $pVariant25 )
	$hAccVars_MethodFunc( $pVariant01, $pVariant02, $pVariant03, $pVariant04, $pVariant05, $pVariant06, $pVariant07, $pVariant08, $pVariant09, $pVariant10, $pVariant11, $pVariant12, $pVariant13, $pVariant14, $pVariant15, $pVariant16, $pVariant17, $pVariant18, $pVariant19, $pVariant20, $pVariant21, $pVariant22, $pVariant23, $pVariant24, $pVariant25 )
	Return 0 ; $S_OK (COM constant)
	#forceref $pSelf
EndFunc

Func AccVars_VariableToVariant26( $pSelf, $pVariant01, $pVariant02, $pVariant03, $pVariant04, $pVariant05, $pVariant06, $pVariant07, $pVariant08, $pVariant09, $pVariant10, $pVariant11, $pVariant12, $pVariant13, $pVariant14, $pVariant15, $pVariant16, $pVariant17, $pVariant18, $pVariant19, $pVariant20, $pVariant21, $pVariant22, $pVariant23, $pVariant24, $pVariant25, $pVariant26 )
	$hAccVars_MethodFunc( $pVariant01, $pVariant02, $pVariant03, $pVariant04, $pVariant05, $pVariant06, $pVariant07, $pVariant08, $pVariant09, $pVariant10, $pVariant11, $pVariant12, $pVariant13, $pVariant14, $pVariant15, $pVariant16, $pVariant17, $pVariant18, $pVariant19, $pVariant20, $pVariant21, $pVariant22, $pVariant23, $pVariant24, $pVariant25, $pVariant26 )
	Return 0 ; $S_OK (COM constant)
	#forceref $pSelf
EndFunc

Func AccVars_VariableToVariant27( $pSelf, $pVariant01, $pVariant02, $pVariant03, $pVariant04, $pVariant05, $pVariant06, $pVariant07, $pVariant08, $pVariant09, $pVariant10, $pVariant11, $pVariant12, $pVariant13, $pVariant14, $pVariant15, $pVariant16, $pVariant17, $pVariant18, $pVariant19, $pVariant20, $pVariant21, $pVariant22, $pVariant23, $pVariant24, $pVariant25, $pVariant26, $pVariant27 )
	$hAccVars_MethodFunc( $pVariant01, $pVariant02, $pVariant03, $pVariant04, $pVariant05, $pVariant06, $pVariant07, $pVariant08, $pVariant09, $pVariant10, $pVariant11, $pVariant12, $pVariant13, $pVariant14, $pVariant15, $pVariant16, $pVariant17, $pVariant18, $pVariant19, $pVariant20, $pVariant21, $pVariant22, $pVariant23, $pVariant24, $pVariant25, $pVariant26, $pVariant27 )
	Return 0 ; $S_OK (COM constant)
	#forceref $pSelf
EndFunc

Func AccVars_VariableToVariant28( $pSelf, $pVariant01, $pVariant02, $pVariant03, $pVariant04, $pVariant05, $pVariant06, $pVariant07, $pVariant08, $pVariant09, $pVariant10, $pVariant11, $pVariant12, $pVariant13, $pVariant14, $pVariant15, $pVariant16, $pVariant17, $pVariant18, $pVariant19, $pVariant20, $pVariant21, $pVariant22, $pVariant23, $pVariant24, $pVariant25, $pVariant26, $pVariant27, $pVariant28 )
	$hAccVars_MethodFunc( $pVariant01, $pVariant02, $pVariant03, $pVariant04, $pVariant05, $pVariant06, $pVariant07, $pVariant08, $pVariant09, $pVariant10, $pVariant11, $pVariant12, $pVariant13, $pVariant14, $pVariant15, $pVariant16, $pVariant17, $pVariant18, $pVariant19, $pVariant20, $pVariant21, $pVariant22, $pVariant23, $pVariant24, $pVariant25, $pVariant26, $pVariant27, $pVariant28 )
	Return 0 ; $S_OK (COM constant)
	#forceref $pSelf
EndFunc

Func AccVars_VariableToVariant29( $pSelf, $pVariant01, $pVariant02, $pVariant03, $pVariant04, $pVariant05, $pVariant06, $pVariant07, $pVariant08, $pVariant09, $pVariant10, $pVariant11, $pVariant12, $pVariant13, $pVariant14, $pVariant15, $pVariant16, $pVariant17, $pVariant18, $pVariant19, $pVariant20, $pVariant21, $pVariant22, $pVariant23, $pVariant24, $pVariant25, $pVariant26, $pVariant27, $pVariant28, $pVariant29 )
	$hAccVars_MethodFunc( $pVariant01, $pVariant02, $pVariant03, $pVariant04, $pVariant05, $pVariant06, $pVariant07, $pVariant08, $pVariant09, $pVariant10, $pVariant11, $pVariant12, $pVariant13, $pVariant14, $pVariant15, $pVariant16, $pVariant17, $pVariant18, $pVariant19, $pVariant20, $pVariant21, $pVariant22, $pVariant23, $pVariant24, $pVariant25, $pVariant26, $pVariant27, $pVariant28, $pVariant29 )
	Return 0 ; $S_OK (COM constant)
	#forceref $pSelf
EndFunc

Func AccVars_VariableToVariant30( $pSelf, $pVariant01, $pVariant02, $pVariant03, $pVariant04, $pVariant05, $pVariant06, $pVariant07, $pVariant08, $pVariant09, $pVariant10, $pVariant11, $pVariant12, $pVariant13, $pVariant14, $pVariant15, $pVariant16, $pVariant17, $pVariant18, $pVariant19, $pVariant20, $pVariant21, $pVariant22, $pVariant23, $pVariant24, $pVariant25, $pVariant26, $pVariant27, $pVariant28, $pVariant29, $pVariant30 )
	$hAccVars_MethodFunc( $pVariant01, $pVariant02, $pVariant03, $pVariant04, $pVariant05, $pVariant06, $pVariant07, $pVariant08, $pVariant09, $pVariant10, $pVariant11, $pVariant12, $pVariant13, $pVariant14, $pVariant15, $pVariant16, $pVariant17, $pVariant18, $pVariant19, $pVariant20, $pVariant21, $pVariant22, $pVariant23, $pVariant24, $pVariant25, $pVariant26, $pVariant27, $pVariant28, $pVariant29, $pVariant30 )
	Return 0 ; $S_OK (COM constant)
	#forceref $pSelf
EndFunc


; --- The last part of the UDF creates a set of easy to use functions to call the object methods ---

Func AccessVariables01( $hAccVars_Method, ByRef $vVariable01 )
	$hAccVars_MethodFunc = $hAccVars_Method
	$oAccVars_Object.AccVars_VariableToVariant01( $vVariable01 )
EndFunc

Func AccessVariables02( $hAccVars_Method, ByRef $vVariable01, ByRef $vVariable02 )
	$hAccVars_MethodFunc = $hAccVars_Method
	$oAccVars_Object.AccVars_VariableToVariant02( $vVariable01, $vVariable02 )
EndFunc

Func AccessVariables03( $hAccVars_Method, ByRef $vVariable01, ByRef $vVariable02, ByRef $vVariable03 )
	$hAccVars_MethodFunc = $hAccVars_Method
	$oAccVars_Object.AccVars_VariableToVariant03( $vVariable01, $vVariable02, $vVariable03 )
EndFunc

Func AccessVariables04( $hAccVars_Method, ByRef $vVariable01, ByRef $vVariable02, ByRef $vVariable03, ByRef $vVariable04 )
	$hAccVars_MethodFunc = $hAccVars_Method
	$oAccVars_Object.AccVars_VariableToVariant04( $vVariable01, $vVariable02, $vVariable03, $vVariable04 )
EndFunc

Func AccessVariables05( $hAccVars_Method, ByRef $vVariable01, ByRef $vVariable02, ByRef $vVariable03, ByRef $vVariable04, ByRef $vVariable05 )
	$hAccVars_MethodFunc = $hAccVars_Method
	$oAccVars_Object.AccVars_VariableToVariant05( $vVariable01, $vVariable02, $vVariable03, $vVariable04, $vVariable05 )
EndFunc

Func AccessVariables06( $hAccVars_Method, ByRef $vVariable01, ByRef $vVariable02, ByRef $vVariable03, ByRef $vVariable04, ByRef $vVariable05, ByRef $vVariable06 )
	$hAccVars_MethodFunc = $hAccVars_Method
	$oAccVars_Object.AccVars_VariableToVariant06( $vVariable01, $vVariable02, $vVariable03, $vVariable04, $vVariable05, $vVariable06 )
EndFunc

Func AccessVariables07( $hAccVars_Method, ByRef $vVariable01, ByRef $vVariable02, ByRef $vVariable03, ByRef $vVariable04, ByRef $vVariable05, ByRef $vVariable06, ByRef $vVariable07 )
	$hAccVars_MethodFunc = $hAccVars_Method
	$oAccVars_Object.AccVars_VariableToVariant07( $vVariable01, $vVariable02, $vVariable03, $vVariable04, $vVariable05, $vVariable06, $vVariable07 )
EndFunc

Func AccessVariables08( $hAccVars_Method, ByRef $vVariable01, ByRef $vVariable02, ByRef $vVariable03, ByRef $vVariable04, ByRef $vVariable05, ByRef $vVariable06, ByRef $vVariable07, ByRef $vVariable08 )
	$hAccVars_MethodFunc = $hAccVars_Method
	$oAccVars_Object.AccVars_VariableToVariant08( $vVariable01, $vVariable02, $vVariable03, $vVariable04, $vVariable05, $vVariable06, $vVariable07, $vVariable08 )
EndFunc

Func AccessVariables09( $hAccVars_Method, ByRef $vVariable01, ByRef $vVariable02, ByRef $vVariable03, ByRef $vVariable04, ByRef $vVariable05, ByRef $vVariable06, ByRef $vVariable07, ByRef $vVariable08, ByRef $vVariable09 )
	$hAccVars_MethodFunc = $hAccVars_Method
	$oAccVars_Object.AccVars_VariableToVariant09( $vVariable01, $vVariable02, $vVariable03, $vVariable04, $vVariable05, $vVariable06, $vVariable07, $vVariable08, $vVariable09 )
EndFunc

Func AccessVariables10( $hAccVars_Method, ByRef $vVariable01, ByRef $vVariable02, ByRef $vVariable03, ByRef $vVariable04, ByRef $vVariable05, ByRef $vVariable06, ByRef $vVariable07, ByRef $vVariable08, ByRef $vVariable09, ByRef $vVariable10 )
	$hAccVars_MethodFunc = $hAccVars_Method
	$oAccVars_Object.AccVars_VariableToVariant10( $vVariable01, $vVariable02, $vVariable03, $vVariable04, $vVariable05, $vVariable06, $vVariable07, $vVariable08, $vVariable09, $vVariable10 )
EndFunc

Func AccessVariables11( $hAccVars_Method, ByRef $vVariable01, ByRef $vVariable02, ByRef $vVariable03, ByRef $vVariable04, ByRef $vVariable05, ByRef $vVariable06, ByRef $vVariable07, ByRef $vVariable08, ByRef $vVariable09, ByRef $vVariable10, ByRef $vVariable11 )
	$hAccVars_MethodFunc = $hAccVars_Method
	$oAccVars_Object.AccVars_VariableToVariant11( $vVariable01, $vVariable02, $vVariable03, $vVariable04, $vVariable05, $vVariable06, $vVariable07, $vVariable08, $vVariable09, $vVariable10, $vVariable11 )
EndFunc

Func AccessVariables12( $hAccVars_Method, ByRef $vVariable01, ByRef $vVariable02, ByRef $vVariable03, ByRef $vVariable04, ByRef $vVariable05, ByRef $vVariable06, ByRef $vVariable07, ByRef $vVariable08, ByRef $vVariable09, ByRef $vVariable10, ByRef $vVariable11, ByRef $vVariable12 )
	$hAccVars_MethodFunc = $hAccVars_Method
	$oAccVars_Object.AccVars_VariableToVariant12( $vVariable01, $vVariable02, $vVariable03, $vVariable04, $vVariable05, $vVariable06, $vVariable07, $vVariable08, $vVariable09, $vVariable10, $vVariable11, $vVariable12 )
EndFunc

Func AccessVariables13( $hAccVars_Method, ByRef $vVariable01, ByRef $vVariable02, ByRef $vVariable03, ByRef $vVariable04, ByRef $vVariable05, ByRef $vVariable06, ByRef $vVariable07, ByRef $vVariable08, ByRef $vVariable09, ByRef $vVariable10, ByRef $vVariable11, ByRef $vVariable12, ByRef $vVariable13 )
	$hAccVars_MethodFunc = $hAccVars_Method
	$oAccVars_Object.AccVars_VariableToVariant13( $vVariable01, $vVariable02, $vVariable03, $vVariable04, $vVariable05, $vVariable06, $vVariable07, $vVariable08, $vVariable09, $vVariable10, $vVariable11, $vVariable12, $vVariable13 )
EndFunc

Func AccessVariables14( $hAccVars_Method, ByRef $vVariable01, ByRef $vVariable02, ByRef $vVariable03, ByRef $vVariable04, ByRef $vVariable05, ByRef $vVariable06, ByRef $vVariable07, ByRef $vVariable08, ByRef $vVariable09, ByRef $vVariable10, ByRef $vVariable11, ByRef $vVariable12, ByRef $vVariable13, ByRef $vVariable14 )
	$hAccVars_MethodFunc = $hAccVars_Method
	$oAccVars_Object.AccVars_VariableToVariant14( $vVariable01, $vVariable02, $vVariable03, $vVariable04, $vVariable05, $vVariable06, $vVariable07, $vVariable08, $vVariable09, $vVariable10, $vVariable11, $vVariable12, $vVariable13, $vVariable14 )
EndFunc

Func AccessVariables15( $hAccVars_Method, ByRef $vVariable01, ByRef $vVariable02, ByRef $vVariable03, ByRef $vVariable04, ByRef $vVariable05, ByRef $vVariable06, ByRef $vVariable07, ByRef $vVariable08, ByRef $vVariable09, ByRef $vVariable10, ByRef $vVariable11, ByRef $vVariable12, ByRef $vVariable13, ByRef $vVariable14, ByRef $vVariable15 )
	$hAccVars_MethodFunc = $hAccVars_Method
	$oAccVars_Object.AccVars_VariableToVariant15( $vVariable01, $vVariable02, $vVariable03, $vVariable04, $vVariable05, $vVariable06, $vVariable07, $vVariable08, $vVariable09, $vVariable10, $vVariable11, $vVariable12, $vVariable13, $vVariable14, $vVariable15 )
EndFunc

Func AccessVariables16( $hAccVars_Method, ByRef $vVariable01, ByRef $vVariable02, ByRef $vVariable03, ByRef $vVariable04, ByRef $vVariable05, ByRef $vVariable06, ByRef $vVariable07, ByRef $vVariable08, ByRef $vVariable09, ByRef $vVariable10, ByRef $vVariable11, ByRef $vVariable12, ByRef $vVariable13, ByRef $vVariable14, ByRef $vVariable15, ByRef $vVariable16 )
	$hAccVars_MethodFunc = $hAccVars_Method
	$oAccVars_Object.AccVars_VariableToVariant16( $vVariable01, $vVariable02, $vVariable03, $vVariable04, $vVariable05, $vVariable06, $vVariable07, $vVariable08, $vVariable09, $vVariable10, $vVariable11, $vVariable12, $vVariable13, $vVariable14, $vVariable15, $vVariable16 )
EndFunc

Func AccessVariables17( $hAccVars_Method, ByRef $vVariable01, ByRef $vVariable02, ByRef $vVariable03, ByRef $vVariable04, ByRef $vVariable05, ByRef $vVariable06, ByRef $vVariable07, ByRef $vVariable08, ByRef $vVariable09, ByRef $vVariable10, ByRef $vVariable11, ByRef $vVariable12, ByRef $vVariable13, ByRef $vVariable14, ByRef $vVariable15, ByRef $vVariable16, ByRef $vVariable17 )
	$hAccVars_MethodFunc = $hAccVars_Method
	$oAccVars_Object.AccVars_VariableToVariant17( $vVariable01, $vVariable02, $vVariable03, $vVariable04, $vVariable05, $vVariable06, $vVariable07, $vVariable08, $vVariable09, $vVariable10, $vVariable11, $vVariable12, $vVariable13, $vVariable14, $vVariable15, $vVariable16, $vVariable17 )
EndFunc

Func AccessVariables18( $hAccVars_Method, ByRef $vVariable01, ByRef $vVariable02, ByRef $vVariable03, ByRef $vVariable04, ByRef $vVariable05, ByRef $vVariable06, ByRef $vVariable07, ByRef $vVariable08, ByRef $vVariable09, ByRef $vVariable10, ByRef $vVariable11, ByRef $vVariable12, ByRef $vVariable13, ByRef $vVariable14, ByRef $vVariable15, ByRef $vVariable16, ByRef $vVariable17, ByRef $vVariable18 )
	$hAccVars_MethodFunc = $hAccVars_Method
	$oAccVars_Object.AccVars_VariableToVariant18( $vVariable01, $vVariable02, $vVariable03, $vVariable04, $vVariable05, $vVariable06, $vVariable07, $vVariable08, $vVariable09, $vVariable10, $vVariable11, $vVariable12, $vVariable13, $vVariable14, $vVariable15, $vVariable16, $vVariable17, $vVariable18 )
EndFunc

Func AccessVariables19( $hAccVars_Method, ByRef $vVariable01, ByRef $vVariable02, ByRef $vVariable03, ByRef $vVariable04, ByRef $vVariable05, ByRef $vVariable06, ByRef $vVariable07, ByRef $vVariable08, ByRef $vVariable09, ByRef $vVariable10, ByRef $vVariable11, ByRef $vVariable12, ByRef $vVariable13, ByRef $vVariable14, ByRef $vVariable15, ByRef $vVariable16, ByRef $vVariable17, ByRef $vVariable18, ByRef $vVariable19 )
	$hAccVars_MethodFunc = $hAccVars_Method
	$oAccVars_Object.AccVars_VariableToVariant19( $vVariable01, $vVariable02, $vVariable03, $vVariable04, $vVariable05, $vVariable06, $vVariable07, $vVariable08, $vVariable09, $vVariable10, $vVariable11, $vVariable12, $vVariable13, $vVariable14, $vVariable15, $vVariable16, $vVariable17, $vVariable18, $vVariable19 )
EndFunc

Func AccessVariables20( $hAccVars_Method, ByRef $vVariable01, ByRef $vVariable02, ByRef $vVariable03, ByRef $vVariable04, ByRef $vVariable05, ByRef $vVariable06, ByRef $vVariable07, ByRef $vVariable08, ByRef $vVariable09, ByRef $vVariable10, ByRef $vVariable11, ByRef $vVariable12, ByRef $vVariable13, ByRef $vVariable14, ByRef $vVariable15, ByRef $vVariable16, ByRef $vVariable17, ByRef $vVariable18, ByRef $vVariable19, ByRef $vVariable20 )
	$hAccVars_MethodFunc = $hAccVars_Method
	$oAccVars_Object.AccVars_VariableToVariant20( $vVariable01, $vVariable02, $vVariable03, $vVariable04, $vVariable05, $vVariable06, $vVariable07, $vVariable08, $vVariable09, $vVariable10, $vVariable11, $vVariable12, $vVariable13, $vVariable14, $vVariable15, $vVariable16, $vVariable17, $vVariable18, $vVariable19, $vVariable20 )
EndFunc

Func AccessVariables21( $hAccVars_Method, ByRef $vVariable01, ByRef $vVariable02, ByRef $vVariable03, ByRef $vVariable04, ByRef $vVariable05, ByRef $vVariable06, ByRef $vVariable07, ByRef $vVariable08, ByRef $vVariable09, ByRef $vVariable10, ByRef $vVariable11, ByRef $vVariable12, ByRef $vVariable13, ByRef $vVariable14, ByRef $vVariable15, ByRef $vVariable16, ByRef $vVariable17, ByRef $vVariable18, ByRef $vVariable19, ByRef $vVariable20, ByRef $vVariable21 )
	$hAccVars_MethodFunc = $hAccVars_Method
	$oAccVars_Object.AccVars_VariableToVariant21( $vVariable01, $vVariable02, $vVariable03, $vVariable04, $vVariable05, $vVariable06, $vVariable07, $vVariable08, $vVariable09, $vVariable10, $vVariable11, $vVariable12, $vVariable13, $vVariable14, $vVariable15, $vVariable16, $vVariable17, $vVariable18, $vVariable19, $vVariable20, $vVariable21 )
EndFunc

Func AccessVariables22( $hAccVars_Method, ByRef $vVariable01, ByRef $vVariable02, ByRef $vVariable03, ByRef $vVariable04, ByRef $vVariable05, ByRef $vVariable06, ByRef $vVariable07, ByRef $vVariable08, ByRef $vVariable09, ByRef $vVariable10, ByRef $vVariable11, ByRef $vVariable12, ByRef $vVariable13, ByRef $vVariable14, ByRef $vVariable15, ByRef $vVariable16, ByRef $vVariable17, ByRef $vVariable18, ByRef $vVariable19, ByRef $vVariable20, ByRef $vVariable21, ByRef $vVariable22 )
	$hAccVars_MethodFunc = $hAccVars_Method
	$oAccVars_Object.AccVars_VariableToVariant22( $vVariable01, $vVariable02, $vVariable03, $vVariable04, $vVariable05, $vVariable06, $vVariable07, $vVariable08, $vVariable09, $vVariable10, $vVariable11, $vVariable12, $vVariable13, $vVariable14, $vVariable15, $vVariable16, $vVariable17, $vVariable18, $vVariable19, $vVariable20, $vVariable21, $vVariable22 )
EndFunc

Func AccessVariables23( $hAccVars_Method, ByRef $vVariable01, ByRef $vVariable02, ByRef $vVariable03, ByRef $vVariable04, ByRef $vVariable05, ByRef $vVariable06, ByRef $vVariable07, ByRef $vVariable08, ByRef $vVariable09, ByRef $vVariable10, ByRef $vVariable11, ByRef $vVariable12, ByRef $vVariable13, ByRef $vVariable14, ByRef $vVariable15, ByRef $vVariable16, ByRef $vVariable17, ByRef $vVariable18, ByRef $vVariable19, ByRef $vVariable20, ByRef $vVariable21, ByRef $vVariable22, ByRef $vVariable23 )
	$hAccVars_MethodFunc = $hAccVars_Method
	$oAccVars_Object.AccVars_VariableToVariant23( $vVariable01, $vVariable02, $vVariable03, $vVariable04, $vVariable05, $vVariable06, $vVariable07, $vVariable08, $vVariable09, $vVariable10, $vVariable11, $vVariable12, $vVariable13, $vVariable14, $vVariable15, $vVariable16, $vVariable17, $vVariable18, $vVariable19, $vVariable20, $vVariable21, $vVariable22, $vVariable23 )
EndFunc

Func AccessVariables24( $hAccVars_Method, ByRef $vVariable01, ByRef $vVariable02, ByRef $vVariable03, ByRef $vVariable04, ByRef $vVariable05, ByRef $vVariable06, ByRef $vVariable07, ByRef $vVariable08, ByRef $vVariable09, ByRef $vVariable10, ByRef $vVariable11, ByRef $vVariable12, ByRef $vVariable13, ByRef $vVariable14, ByRef $vVariable15, ByRef $vVariable16, ByRef $vVariable17, ByRef $vVariable18, ByRef $vVariable19, ByRef $vVariable20, ByRef $vVariable21, ByRef $vVariable22, ByRef $vVariable23, ByRef $vVariable24 )
	$hAccVars_MethodFunc = $hAccVars_Method
	$oAccVars_Object.AccVars_VariableToVariant24( $vVariable01, $vVariable02, $vVariable03, $vVariable04, $vVariable05, $vVariable06, $vVariable07, $vVariable08, $vVariable09, $vVariable10, $vVariable11, $vVariable12, $vVariable13, $vVariable14, $vVariable15, $vVariable16, $vVariable17, $vVariable18, $vVariable19, $vVariable20, $vVariable21, $vVariable22, $vVariable23, $vVariable24 )
EndFunc

Func AccessVariables25( $hAccVars_Method, ByRef $vVariable01, ByRef $vVariable02, ByRef $vVariable03, ByRef $vVariable04, ByRef $vVariable05, ByRef $vVariable06, ByRef $vVariable07, ByRef $vVariable08, ByRef $vVariable09, ByRef $vVariable10, ByRef $vVariable11, ByRef $vVariable12, ByRef $vVariable13, ByRef $vVariable14, ByRef $vVariable15, ByRef $vVariable16, ByRef $vVariable17, ByRef $vVariable18, ByRef $vVariable19, ByRef $vVariable20, ByRef $vVariable21, ByRef $vVariable22, ByRef $vVariable23, ByRef $vVariable24, ByRef $vVariable25 )
	$hAccVars_MethodFunc = $hAccVars_Method
	$oAccVars_Object.AccVars_VariableToVariant25( $vVariable01, $vVariable02, $vVariable03, $vVariable04, $vVariable05, $vVariable06, $vVariable07, $vVariable08, $vVariable09, $vVariable10, $vVariable11, $vVariable12, $vVariable13, $vVariable14, $vVariable15, $vVariable16, $vVariable17, $vVariable18, $vVariable19, $vVariable20, $vVariable21, $vVariable22, $vVariable23, $vVariable24, $vVariable25 )
EndFunc

Func AccessVariables26( $hAccVars_Method, ByRef $vVariable01, ByRef $vVariable02, ByRef $vVariable03, ByRef $vVariable04, ByRef $vVariable05, ByRef $vVariable06, ByRef $vVariable07, ByRef $vVariable08, ByRef $vVariable09, ByRef $vVariable10, ByRef $vVariable11, ByRef $vVariable12, ByRef $vVariable13, ByRef $vVariable14, ByRef $vVariable15, ByRef $vVariable16, ByRef $vVariable17, ByRef $vVariable18, ByRef $vVariable19, ByRef $vVariable20, ByRef $vVariable21, ByRef $vVariable22, ByRef $vVariable23, ByRef $vVariable24, ByRef $vVariable25, ByRef $vVariable26 )
	$hAccVars_MethodFunc = $hAccVars_Method
	$oAccVars_Object.AccVars_VariableToVariant26( $vVariable01, $vVariable02, $vVariable03, $vVariable04, $vVariable05, $vVariable06, $vVariable07, $vVariable08, $vVariable09, $vVariable10, $vVariable11, $vVariable12, $vVariable13, $vVariable14, $vVariable15, $vVariable16, $vVariable17, $vVariable18, $vVariable19, $vVariable20, $vVariable21, $vVariable22, $vVariable23, $vVariable24, $vVariable25, $vVariable26 )
EndFunc

Func AccessVariables27( $hAccVars_Method, ByRef $vVariable01, ByRef $vVariable02, ByRef $vVariable03, ByRef $vVariable04, ByRef $vVariable05, ByRef $vVariable06, ByRef $vVariable07, ByRef $vVariable08, ByRef $vVariable09, ByRef $vVariable10, ByRef $vVariable11, ByRef $vVariable12, ByRef $vVariable13, ByRef $vVariable14, ByRef $vVariable15, ByRef $vVariable16, ByRef $vVariable17, ByRef $vVariable18, ByRef $vVariable19, ByRef $vVariable20, ByRef $vVariable21, ByRef $vVariable22, ByRef $vVariable23, ByRef $vVariable24, ByRef $vVariable25, ByRef $vVariable26, ByRef $vVariable27 )
	$hAccVars_MethodFunc = $hAccVars_Method
	$oAccVars_Object.AccVars_VariableToVariant27( $vVariable01, $vVariable02, $vVariable03, $vVariable04, $vVariable05, $vVariable06, $vVariable07, $vVariable08, $vVariable09, $vVariable10, $vVariable11, $vVariable12, $vVariable13, $vVariable14, $vVariable15, $vVariable16, $vVariable17, $vVariable18, $vVariable19, $vVariable20, $vVariable21, $vVariable22, $vVariable23, $vVariable24, $vVariable25, $vVariable26, $vVariable27 )
EndFunc

Func AccessVariables28( $hAccVars_Method, ByRef $vVariable01, ByRef $vVariable02, ByRef $vVariable03, ByRef $vVariable04, ByRef $vVariable05, ByRef $vVariable06, ByRef $vVariable07, ByRef $vVariable08, ByRef $vVariable09, ByRef $vVariable10, ByRef $vVariable11, ByRef $vVariable12, ByRef $vVariable13, ByRef $vVariable14, ByRef $vVariable15, ByRef $vVariable16, ByRef $vVariable17, ByRef $vVariable18, ByRef $vVariable19, ByRef $vVariable20, ByRef $vVariable21, ByRef $vVariable22, ByRef $vVariable23, ByRef $vVariable24, ByRef $vVariable25, ByRef $vVariable26, ByRef $vVariable27, ByRef $vVariable28 )
	$hAccVars_MethodFunc = $hAccVars_Method
	$oAccVars_Object.AccVars_VariableToVariant28( $vVariable01, $vVariable02, $vVariable03, $vVariable04, $vVariable05, $vVariable06, $vVariable07, $vVariable08, $vVariable09, $vVariable10, $vVariable11, $vVariable12, $vVariable13, $vVariable14, $vVariable15, $vVariable16, $vVariable17, $vVariable18, $vVariable19, $vVariable20, $vVariable21, $vVariable22, $vVariable23, $vVariable24, $vVariable25, $vVariable26, $vVariable27, $vVariable28 )
EndFunc

Func AccessVariables29( $hAccVars_Method, ByRef $vVariable01, ByRef $vVariable02, ByRef $vVariable03, ByRef $vVariable04, ByRef $vVariable05, ByRef $vVariable06, ByRef $vVariable07, ByRef $vVariable08, ByRef $vVariable09, ByRef $vVariable10, ByRef $vVariable11, ByRef $vVariable12, ByRef $vVariable13, ByRef $vVariable14, ByRef $vVariable15, ByRef $vVariable16, ByRef $vVariable17, ByRef $vVariable18, ByRef $vVariable19, ByRef $vVariable20, ByRef $vVariable21, ByRef $vVariable22, ByRef $vVariable23, ByRef $vVariable24, ByRef $vVariable25, ByRef $vVariable26, ByRef $vVariable27, ByRef $vVariable28, ByRef $vVariable29 )
	$hAccVars_MethodFunc = $hAccVars_Method
	$oAccVars_Object.AccVars_VariableToVariant29( $vVariable01, $vVariable02, $vVariable03, $vVariable04, $vVariable05, $vVariable06, $vVariable07, $vVariable08, $vVariable09, $vVariable10, $vVariable11, $vVariable12, $vVariable13, $vVariable14, $vVariable15, $vVariable16, $vVariable17, $vVariable18, $vVariable19, $vVariable20, $vVariable21, $vVariable22, $vVariable23, $vVariable24, $vVariable25, $vVariable26, $vVariable27, $vVariable28, $vVariable29 )
EndFunc

Func AccessVariables30( $hAccVars_Method, ByRef $vVariable01, ByRef $vVariable02, ByRef $vVariable03, ByRef $vVariable04, ByRef $vVariable05, ByRef $vVariable06, ByRef $vVariable07, ByRef $vVariable08, ByRef $vVariable09, ByRef $vVariable10, ByRef $vVariable11, ByRef $vVariable12, ByRef $vVariable13, ByRef $vVariable14, ByRef $vVariable15, ByRef $vVariable16, ByRef $vVariable17, ByRef $vVariable18, ByRef $vVariable19, ByRef $vVariable20, ByRef $vVariable21, ByRef $vVariable22, ByRef $vVariable23, ByRef $vVariable24, ByRef $vVariable25, ByRef $vVariable26, ByRef $vVariable27, ByRef $vVariable28, ByRef $vVariable29, ByRef $vVariable30 )
	$hAccVars_MethodFunc = $hAccVars_Method
	$oAccVars_Object.AccVars_VariableToVariant30( $vVariable01, $vVariable02, $vVariable03, $vVariable04, $vVariable05, $vVariable06, $vVariable07, $vVariable08, $vVariable09, $vVariable10, $vVariable11, $vVariable12, $vVariable13, $vVariable14, $vVariable15, $vVariable16, $vVariable17, $vVariable18, $vVariable19, $vVariable20, $vVariable21, $vVariable22, $vVariable23, $vVariable24, $vVariable25, $vVariable26, $vVariable27, $vVariable28, $vVariable29, $vVariable30 )
EndFunc
