#include ".\includes\CLR.Au3"

Example()

Func Example()
    Local $oAssembly = _CLR_LoadLibrary("System.Windows.Forms")
    ConsoleWrite("$oAssembly: " & IsObj($oAssembly) & @CRLF)

    Local $pAssemblyType = 0
    $oAssembly.GetType_2("System.Windows.Forms.Clipboard", $pAssemblyType)
    ConsoleWrite("$pAssemblyType = " & Ptr($pAssemblyType) & @CRLF)

    Local $oAssemblyType = ObjCreateInterface($pAssemblyType, $sIID_IType, $sTag_IType)
    ConsoleWrite("IsObj( $oAssemblyType ) = " & IsObj($oAssemblyType) & @CRLF)

    Local $aText[] = ["We Love AutoIt"]
    Local $sClipBoardText = ""

    $oAssemblyType.InvokeMember_3("Clear", 0x158, 0, 0, 0, 0)

    $oAssemblyType.InvokeMember_3("SetText", 0x158, 0, 0, CreateSafeArray($aText), 0)
;~     ConsoleWrite("Clipboard Data: " & ClipGet() & @CRLF)
	MsgBox(0,"System.Windows.Forms.Clipboard" , "Clipboard Data: " & ClipGet())
    ClipPut("AutoIt Rocks!!!")

    $oAssemblyType.InvokeMember_3("GetText", 0x158, 0, 0, 0, $sClipBoardText)
;~     ConsoleWrite("Clipboard Data: " & $sClipBoardText & @CRLF)
    MsgBox(0,"System.Windows.Forms.Clipboard" , "New Clipboard Data: " & $sClipBoardText)

EndFunc   ;==>Example