;~  #AutoIt3Wrapper_UseX64=y

#include ".\Includes\CLR.Au3"
#include <WinAPI.au3>
#include <GDIPlus.au3>
#include <GUIConstantsEx.au3>

_ExampleTest() ;Form  Using System.Windows.Forms.Form

Func _ExampleTest()
    Local $oAssembly = _CLR_LoadLibrary("System.Windows.Forms")
    ConsoleWrite("!$oAssembly: " & IsObj($oAssembly) & @CRLF)

    Local $oForm = _CLR_CreateObject($oAssembly, "System.Windows.Forms.Form")
    ConsoleWrite("!$oForm: " & IsObj($oForm) & @CRLF)
	ConsoleWrite("$oForm Handle: " & $oForm.Handle & @CRLF)

	$oForm.Text = "Form From Net - WinAPI & CLR Mix Example"
    $oForm.Width = 800
    $oForm.Height = 400

    Local $oButton1 = _CLR_CreateObject($oAssembly, "System.Windows.Forms.Button")
	ConsoleWrite("!$oButton1: " & IsObj($oButton1) & @CRLF)
    ConsoleWrite($oButton1.handle & @CRLF)

    $oButton1.Text = "button"
	$oButton1.Left = 15
	$oButton1.Top = 20
    $oButton1.Width = 60
    $oButton1.Height = 30

	; DOES NOT WORK YET ...
    Local $oDrawing = _CLR_LoadLibrary("System.Drawing")
    Local $oDraw = _CLR_CreateObject($oAssembly, "System.Drawing.point")
    ConsoleWrite("!$oDraw: " & Isobj($oDraw) & @CRLF)


;~  $oForm.Controls.Add($oButton1)
     _WinAPI_SetParent($oButton1.handle, $oForm.Handle)

    $oForm.ShowDialog()

	$oForm.Dispose()
EndFunc   ;==>_ExampleTest